Bug 43142 - New port: AlsaPlayer is an audio player with pitch control and a GNOME GUI
Summary: New port: AlsaPlayer is an audio player with pitch control and a GNOME GUI
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-20 21:50 UTC by Robin Schilham
Modified: 2003-07-02 16:33 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (8.38 KB, text/plain)
2002-09-20 21:50 UTC, Robin Schilham
no flags Details
alsaplayer-0.99.75.sh (9.90 KB, text/plain)
2003-06-27 07:50 UTC, Robin Schilham
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Schilham 2002-09-20 21:50:01 UTC
New port: AlsaPlayer is an audio player with pitch control and a GNOME GUI
Comment 1 John Merryweather Cooper 2002-09-20 23:17:02 UTC
Let me know when AlsaPlayer is running and committed, and I'll update
www/plugger to use it (AlsaPlayer is the preferred player for WAV files
and such).

jmc

On Fri, 2002-09-20 at 13:41, Robin Schilham wrote:
> 
> >Number:         43142
> >Category:       ports
> >Synopsis:       New port: AlsaPlayer is an audio player with pitch control and a GNOME GUI
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       medium
> >Responsible:    freebsd-ports
> >State:          closed
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Fri Sep 20 13:50:01 PDT 2002
> >Closed-Date:
> >Last-Modified:
> >Originator:     Robin Schilham
> >Release:        FreeBSD 4.7-PRERELEASE i386
> >Organization:
> >Environment:
> System: FreeBSD a194-109-252-84.adsl.xs4all.nl 4.7-PRERELEASE FreeBSD 4.7-PRERELEASE #0: Sun Sep 15 18:28:16 CEST 2002 root@a194-109-252-84.adsl.xs4all.nl:/usr/obj/usr/src/sys/OMNI i386
> 
> >Description:
> New port: AlsaPlayer is an audio player with pitch control and a GNOME GUI
> >How-To-Repeat:
> >Fix:
> # This is a shell archive.  Save it in a file, remove anything before
> # this line, and then unpack it by entering "sh file".  Note, it may
> # create directories; files and directories will be owned by you and
> # have default permissions.
> #
> # This archive contains:
> #
> #	alsaplayer
> #	alsaplayer/files
> #	alsaplayer/files/patch-aa
> #	alsaplayer/files/patch-ab
> #	alsaplayer/files/patch-ac
> #	alsaplayer/files/patch-ad
> #	alsaplayer/files/patch-ae
> #	alsaplayer/files/patch-af
> #	alsaplayer/files/patch-ag
> #	alsaplayer/Makefile
> #	alsaplayer/distinfo
> #	alsaplayer/pkg-comment
> #	alsaplayer/pkg-descr
> #	alsaplayer/pkg-plist
> #
> echo c - alsaplayer
> mkdir -p alsaplayer > /dev/null 2>&1
> echo c - alsaplayer/files
> mkdir -p alsaplayer/files > /dev/null 2>&1
> echo x - alsaplayer/files/patch-aa
> sed 's/^X//' >alsaplayer/files/patch-aa << 'END-of-alsaplayer/files/patch-aa'
> X--- Makefile.am	Mon Jun 10 22:51:09 2002
> X+++ Makefile.am	Sun Sep 15 10:21:18 2002
> X@@ -1,5 +1,5 @@
> X AUTOMAKE_OPTIONS = foreign
> X-SUBDIRS = interface output input scopes app alsaplayer extra docs \
> X+SUBDIRS = interface output input scopes app alsaplayer extra \
> X 	libalsaplayer examples m4 reader
> X 
> X EXTRA_DIST = bootstrap
> END-of-alsaplayer/files/patch-aa
> echo x - alsaplayer/files/patch-ab
> sed 's/^X//' >alsaplayer/files/patch-ab << 'END-of-alsaplayer/files/patch-ab'
> X--- Makefile.in	Mon Jun 24 18:34:20 2002
> X+++ Makefile.in	Sun Sep 15 10:21:10 2002
> X@@ -124,7 +124,7 @@
> X curlconfig = @curlconfig@
> X 
> X AUTOMAKE_OPTIONS = foreign
> X-SUBDIRS = interface output input scopes app alsaplayer extra docs 	libalsaplayer examples m4 reader
> X+SUBDIRS = interface output input scopes app alsaplayer extra libalsaplayer examples m4 reader
> X 
> X 
> X EXTRA_DIST = bootstrap
> END-of-alsaplayer/files/patch-ab
> echo x - alsaplayer/files/patch-ac
> sed 's/^X//' >alsaplayer/files/patch-ac << 'END-of-alsaplayer/files/patch-ac'
> X--- app/Makefile.am	Mon Jun 10 22:51:10 2002
> X+++ app/Makefile.am	Sun Sep 15 10:23:09 2002
> X@@ -17,7 +17,7 @@
> X 
> X endif
> X 
> X-LIBS = -lpthread -ldl $(SUN_LIBS)
> X+LIBS = -pthread -L/usr/local/lib -lgnugetopt $(SUN_LIBS)
> X 
> X COMMON_FLAGS = @DFLAGS@ -Wall -D_REENTRANT \
> X 		-DADDON_DIR=\"$(ADDON_DIR)\" @ARCH_CFLAGS@
> END-of-alsaplayer/files/patch-ac
> echo x - alsaplayer/files/patch-ad
> sed 's/^X//' >alsaplayer/files/patch-ad << 'END-of-alsaplayer/files/patch-ad'
> X--- app/Makefile.in	Mon Jun 24 18:34:30 2002
> X+++ app/Makefile.in	Sun Sep 15 10:22:04 2002
> X@@ -125,7 +125,7 @@
> X 
> X @ARCH_ULTRA_TRUE@SUN_LIBS = -lresolv
> X 
> X-LIBS = -lpthread -ldl $(SUN_LIBS)
> X+LIBS = -pthread -L/usr/local/lib -lgnugetopt $(SUN_LIBS)
> X 
> X COMMON_FLAGS = @DFLAGS@ -Wall -D_REENTRANT 		-DADDON_DIR=\"$(ADDON_DIR)\" @ARCH_CFLAGS@
> X 
> END-of-alsaplayer/files/patch-ad
> echo x - alsaplayer/files/patch-ae
> sed 's/^X//' >alsaplayer/files/patch-ae << 'END-of-alsaplayer/files/patch-ae'
> X--- configure	Mon Jun 24 18:14:26 2002
> X+++ configure	Sun Sep 15 10:19:09 2002
> X@@ -10194,7 +10194,7 @@
> X   echo $ECHO_N "(cached) $ECHO_C" >&6
> X else
> X   ac_check_lib_save_LIBS=$LIBS
> X-LIBS="-lpthread  $LIBS"
> X+LIBS="-pthread  $LIBS"
> X cat >conftest.$ac_ext <<_ACEOF
> X #line $LINENO "configure"
> X #include "confdefs.h"
> X@@ -10248,7 +10248,7 @@
> X #define HAVE_LIBPTHREAD 1
> X _ACEOF
> X 
> X-  LIBS="-lpthread $LIBS"
> X+  LIBS="-pthread $LIBS"
> X 
> X else
> X   { { echo "$as_me:$LINENO: error: ** POSIX.4 threads not installed or broken **" >&5
> END-of-alsaplayer/files/patch-ae
> echo x - alsaplayer/files/patch-af
> sed 's/^X//' >alsaplayer/files/patch-af << 'END-of-alsaplayer/files/patch-af'
> X--- reader/http/http.c	Thu Jun 20 08:30:07 2002
> X+++ reader/http/http.c	Sun Sep 15 10:19:09 2002
> X@@ -31,6 +31,7 @@
> X #include <fcntl.h>
> X #include <unistd.h>
> X #include <errno.h>
> X+#include <netinet/in.h>
> X 
> X #include "reader.h"
> X #include "alsaplayer_error.h"
> END-of-alsaplayer/files/patch-af
> echo x - alsaplayer/files/patch-ag
> sed 's/^X//' >alsaplayer/files/patch-ag << 'END-of-alsaplayer/files/patch-ag'
> X--- app/AlsaNode.cpp	Mon Jun 24 18:14:47 2002
> X+++ app/AlsaNode.cpp	Sun Sep 15 10:19:09 2002
> X@@ -23,8 +23,8 @@
> X #include "AlsaPlayer.h"
> X #include "config.h"
> X #include "prefs.h"
> X-#include <sys/mman.h>
> X #include <sys/types.h>
> X+#include <sys/mman.h>
> X #ifdef USE_REALTIME
> X #include <sched.h>
> X #endif
> X@@ -191,7 +191,7 @@
> X 
> X bool AlsaNode::IsInStream(int the_id)
> X {
> X-	subscriber *i;
> X+//	subscriber *i;
> X 	int c;
> X 
> X 	pthread_mutex_lock(&queue_mutex);	
> END-of-alsaplayer/files/patch-ag
> echo x - alsaplayer/Makefile
> sed 's/^X//' >alsaplayer/Makefile << 'END-of-alsaplayer/Makefile'
> X# New ports collection makefile for:   alsaplayer
> X# Date created:                17 September 2002
> X# Whom:                        Robin Schilham <co9@xs4all.nl>
> X#
> X# $FreeBSD$
> X#
> X
> XPORTNAME=	alsaplayer
> XPORTVERSION=	0.99.71
> XCATEGORIES=	audio
> XMASTER_SITES=	ftp://ftp.alsa-project.org/pub/people/andy/ \
> X		http://www.alsaplayer.org/
> X
> XMAINTAINER=	co9@xs4all.nl
> X
> XLIB_DEPENDS=	gnugetopt.1:${PORTSDIR}/devel/libgnugetopt
> X
> XUSE_REINPLACE=	yes
> X
> XGNU_CONFIGURE=	yes
> X
> XCONFIGURE_ARGS=	--disable-oss
> XCONFIGURE_ENV+= GTK_CONFIG="${GTK_CONFIG}"
> XCONFIGURE_ENV+= GLIB_CONFIG="${GLIB_CONFIG}"
> X
> XUSE_GTK=	yes
> XUSE_GNOME=	yes
> X
> XMAN1=		alsaplayer.1
> X
> Xpre-patch:
> X	@${FIND} ${WRKSRC} -name '*.c' | ${XARGS} \
> X		${REINPLACE_CMD} -e "s|<malloc.h>|<stdlib.h>|g"
> X	@${FIND} ${WRKSRC} -name '*.c' | ${XARGS} \
> X		${REINPLACE_CMD} -e "s|<stdint.h>|<inttypes.h>|g"
> X
> X.include <bsd.port.mk>
> END-of-alsaplayer/Makefile
> echo x - alsaplayer/distinfo
> sed 's/^X//' >alsaplayer/distinfo << 'END-of-alsaplayer/distinfo'
> XMD5 (alsaplayer-0.99.71.tar.gz) = c91c6a1c5d0a7c87c8f5b05d13f681f1
> END-of-alsaplayer/distinfo
> echo x - alsaplayer/pkg-comment
> sed 's/^X//' >alsaplayer/pkg-comment << 'END-of-alsaplayer/pkg-comment'
> XAudio player with pitch control and a GNOME GUI
> END-of-alsaplayer/pkg-comment
> echo x - alsaplayer/pkg-descr
> sed 's/^X//' >alsaplayer/pkg-descr << 'END-of-alsaplayer/pkg-descr'
> XAlsaPlayer is a new type of PCM player that supports different output systems
> Xincluding OSS, Esound, NAS (Network Audio Server), Sparc, and SGI.
> X
> XAlsaPlayer is heavily multi-threaded and has some very interesting features 
> Xunique to Linux/Unix players such as full pitch control and the possibility
> Xof playing music backwards.
> X
> XWarning: AlsaPlayer consumes a lot of CPU cycles.
> X
> XWWW: http://www.alsaplayer.org
> END-of-alsaplayer/pkg-descr
> echo x - alsaplayer/pkg-plist
> sed 's/^X//' >alsaplayer/pkg-plist << 'END-of-alsaplayer/pkg-plist'
> Xlib/alsaplayer/interface/libgtk.so
> Xlib/alsaplayer/interface/libgtk.la
> Xlib/alsaplayer/interface/libtext.so
> Xlib/alsaplayer/interface/libtext.la
> Xlib/alsaplayer/interface/libdaemon.so
> Xlib/alsaplayer/interface/libdaemon.la
> Xlib/alsaplayer/output/libesound_out.so
> Xlib/alsaplayer/output/libesound_out.la
> Xlib/alsaplayer/output/libnull_out.so
> Xlib/alsaplayer/output/libnull_out.la
> Xlib/alsaplayer/input/libmod.so
> Xlib/alsaplayer/input/libmod.la
> Xlib/alsaplayer/input/libwav.so
> Xlib/alsaplayer/input/libwav.la
> Xlib/alsaplayer/input/libmad_in.so
> Xlib/alsaplayer/input/libmad_in.la
> Xlib/alsaplayer/scopes/liblogbarfft.so
> Xlib/alsaplayer/scopes/liblogbarfft.la
> Xlib/alsaplayer/scopes/liblevelmeter.so
> Xlib/alsaplayer/scopes/liblevelmeter.la
> Xlib/alsaplayer/scopes/libsynaescope.so
> Xlib/alsaplayer/scopes/libsynaescope.la
> Xlib/alsaplayer/scopes/libspacescope.so
> Xlib/alsaplayer/scopes/libspacescope.la
> Xlib/alsaplayer/scopes/libmonoscope.so
> Xlib/alsaplayer/scopes/libmonoscope.la
> Xlib/alsaplayer/scopes/libblurscope.so
> Xlib/alsaplayer/scopes/libblurscope.la
> Xlib/alsaplayer/reader/libfile.so
> Xlib/alsaplayer/reader/libfile.la
> Xlib/alsaplayer/reader/libhttp.so
> Xlib/alsaplayer/reader/libhttp.la
> Xlib/alsaplayer/reader/libcurl.so
> Xlib/alsaplayer/reader/libcurl.la
> Xlib/libalsaplayer.so.0
> Xlib/libalsaplayer.so
> Xlib/libalsaplayer.la
> Xlib/pkgconfig/alsaplayer.pc
> Xinclude/alsaplayer/input_plugin.h
> Xinclude/alsaplayer/output_plugin.h
> Xinclude/alsaplayer/scope_plugin.h
> Xinclude/alsaplayer/interface_plugin.h
> Xinclude/alsaplayer/CorePlayer.h
> Xinclude/alsaplayer/Playlist.h
> Xinclude/alsaplayer/SampleBuffer.h
> Xinclude/alsaplayer/AlsaNode.h
> Xinclude/alsaplayer/Effects.h
> Xinclude/alsaplayer/utilities.h
> Xinclude/alsaplayer/alsaplayer_error.h
> Xinclude/alsaplayer/AlsaSubscriber.h
> Xinclude/alsaplayer/prefs.h
> Xinclude/alsaplayer/AlsaPlayer.h
> Xinclude/alsaplayer/control.h
> Xinclude/alsaplayer/reader.h
> X@dirrm lib/alsaplayer/reader
> X@dirrm lib/alsaplayer/scopes
> X@dirrm lib/alsaplayer/input
> X@dirrm lib/alsaplayer/output
> X@dirrm lib/alsaplayer/interface
> X@dirrm lib/alsaplayer
> X@dirrm lib/pkgconfig
> X@dirrm include/alsaplayer
> END-of-alsaplayer/pkg-plist
> exit
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
> 
> To Unsubscribe: send mail to majordomo@FreeBSD.org
> with "unsubscribe freebsd-ports" in the body of the message
-- 
         _
  | |V| / '                       ||  MacroHard --                   \
\_| | | \_,                       ||     the perfection of form over |
----------------------------------||     substance, marketing over   |
Web:  http://www.borgsdemons.com  ||     performance, and greed over |
AIM:  johnmcooper                 ||     design . . .                |
Yahoo:  john_m_cooper             ||                                 |
=====================================================================/
Public Key:  http://www.borgsdemons.com/Personal/pgpkey.asc          |
=====================================================================\
Comment 2 Mario Sergio Fujikawa Ferreira freebsd_committer 2003-06-04 03:32:55 UTC
Hi,

	I was analyzing your PR regarding "New port: AlsaPlayer is
an audio player with pitch control and a GNOME GUI" available at

http://www.freebsd.org/cgi/query-pr.cgi?pr=43142

	We apologize for letting this PR unattended for so long.

	I noticed that AlsaPlayer is already at version 0.99.75
while the port is at 0.99.71. Could you update the port? I'll
evaluate it for committing. :) Thanks a lot submitting this for
the Ports Collection.

	Regards,

-- 
Mario S F Ferreira - DF - Brazil - "I guess this is a signature."
FreeBSD Committer | FreeBSD-KDE Team | CS Developer
feature, n: a documented bug | bug, n: an undocumented feature
Comment 3 Tilman Keskinoz freebsd_committer 2003-06-26 16:09:25 UTC
State Changed
From-To: open->feedback

feedback was requested
Comment 4 Robin Schilham 2003-06-27 07:50:51 UTC
The attachment contains the updated version of alsaplayer.

Regards,

Robin
Comment 5 Tilman Keskinoz freebsd_committer 2003-07-02 16:32:55 UTC
State Changed
From-To: feedback->closed

Committed by marcus on Jun 30, thanks!